#pragma once
#include "decoder.h"
#include "SDL/SDL.h"


struct decoderwav : decoder{
    private:


    public:
    struct info{
    };

    virtual void decode( );
    decoderwav( decoder::info a );
    ~decoderwav( );


};
